Pack (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.util

## Class Pack

- java.lang.Object
- - org.bouncycastle.util.Pack

-     public abstract class Pack
      extends java.lang.Object

  Utility methods for converting byte arrays into ints and longs, and back again.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pack()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `bigEndianToInt(byte[] bs, int off)`
    `static void` | `bigEndianToInt(byte[] bs, int off, int[] ns)`
    `static long` | `bigEndianToLong(byte[] bs, int off)`
    `static void` | `bigEndianToLong(byte[] bs, int off, long[] ns)`
    `static byte[]` | `intToBigEndian(int n)`
    `static byte[]` | `intToBigEndian(int[] ns)`
    `static void` | `intToBigEndian(int[] ns, byte[] bs, int off)`
    `static void` | `intToBigEndian(int n, byte[] bs, int off)`
    `static byte[]` | `intToLittleEndian(int n)`
    `static byte[]` | `intToLittleEndian(int[] ns)`
    `static void` | `intToLittleEndian(int[] ns, byte[] bs, int off)`
    `static void` | `intToLittleEndian(int n, byte[] bs, int off)`
    `static int` | `littleEndianToInt(byte[] bs, int off)`
    `static void` | `littleEndianToInt(byte[] bs, int off, int[] ns)`
    `static void` | `littleEndianToInt(byte[] bs, int bOff, int[] ns, int nOff, int count)`
    `static long` | `littleEndianToLong(byte[] bs, int off)`
    `static void` | `littleEndianToLong(byte[] bs, int off, long[] ns)`
    `static byte[]` | `longToBigEndian(long n)`
    `static byte[]` | `longToBigEndian(long[] ns)`
    `static void` | `longToBigEndian(long[] ns, byte[] bs, int off)`
    `static void` | `longToBigEndian(long n, byte[] bs, int off)`
    `static byte[]` | `longToLittleEndian(long n)`
    `static byte[]` | `longToLittleEndian(long[] ns)`
    `static void` | `longToLittleEndian(long[] ns, byte[] bs, int off)`
    `static void` | `longToLittleEndian(long n, byte[] bs, int off)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pack

          public Pack()

  - ### Method Detail

    - #### bigEndianToInt

          public static int bigEndianToInt(byte[] bs,
                           int off)

    - #### bigEndianToInt

          public static void bigEndianToInt(byte[] bs,
                            int off,
                            int[] ns)

    - #### intToBigEndian

          public static byte[] intToBigEndian(int n)

    - #### intToBigEndian

          public static void intToBigEndian(int n,
                            byte[] bs,
                            int off)

    - #### intToBigEndian

          public static byte[] intToBigEndian(int[] ns)

    - #### intToBigEndian

          public static void intToBigEndian(int[] ns,
                            byte[] bs,
                            int off)

    - #### bigEndianToLong

          public static long bigEndianToLong(byte[] bs,
                             int off)

    - #### bigEndianToLong

          public static void bigEndianToLong(byte[] bs,
                             int off,
                             long[] ns)

    - #### longToBigEndian

          public static byte[] longToBigEndian(long n)

    - #### longToBigEndian

          public static void longToBigEndian(long n,
                             byte[] bs,
                             int off)

    - #### longToBigEndian

          public static byte[] longToBigEndian(long[] ns)

    - #### longToBigEndian

          public static void longToBigEndian(long[] ns,
                             byte[] bs,
                             int off)

    - #### littleEndianToInt

          public static int littleEndianToInt(byte[] bs,
                              int off)

    - #### littleEndianToInt

          public static void littleEndianToInt(byte[] bs,
                               int off,
                               int[] ns)

    - #### littleEndianToInt

          public static void littleEndianToInt(byte[] bs,
                               int bOff,
                               int[] ns,
                               int nOff,
                               int count)

    - #### intToLittleEndian

          public static byte[] intToLittleEndian(int n)

    - #### intToLittleEndian

          public static void intToLittleEndian(int n,
                               byte[] bs,
                               int off)

    - #### intToLittleEndian

          public static byte[] intToLittleEndian(int[] ns)

    - #### intToLittleEndian

          public static void intToLittleEndian(int[] ns,
                               byte[] bs,
                               int off)

    - #### littleEndianToLong

          public static long littleEndianToLong(byte[] bs,
                                int off)

    - #### littleEndianToLong

          public static void littleEndianToLong(byte[] bs,
                                int off,
                                long[] ns)

    - #### longToLittleEndian

          public static byte[] longToLittleEndian(long n)

    - #### longToLittleEndian

          public static void longToLittleEndian(long n,
                                byte[] bs,
                                int off)

    - #### longToLittleEndian

          public static byte[] longToLittleEndian(long[] ns)

    - #### longToLittleEndian

          public static void longToLittleEndian(long[] ns,
                                byte[] bs,
                                int off)